php-all-dev_60ubuntu1_all.deb


Advertisement

Description

php-all-dev - package depending on all supported PHP development packages

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name php-all-dev
Package version 60ubuntu1
Package architecture all
Package type deb
Installed size 12 B
Download size 2.93 KB
Official Mirror archive.ubuntu.com
The package currently depends on php7.2-dev.
This package is a dependency package used as a build dependency for other
packages to avoid hardcoded dependencies on specific PHP development
packages.

Alternatives

Package Version Architecture Repository
php-all-dev_60ubuntu1_all.deb 60ubuntu1 all Ubuntu Main
php-all-dev - - -

Requires

Name Value
php7.2-dev -
php7.2-json -

Download

Type URL
Binary Package php-all-dev_60ubuntu1_all.deb
Source Package php-defaults

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-all-dev deb package:
    # sudo apt-get install php-all-dev

Files

Path
/usr/share/doc/php-all-dev/changelog.gz
/usr/share/doc/php-all-dev/copyright

Changelog

2018-01-30 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php-defaults (60ubuntu1) bionic; urgency=medium
* Merge with Debian unstable (LP: #1743904). Remaining changes:
- d/{control{,.in}, php-module.control.in, rules}: bump to php7.2 as
the default.
+ Update text of d/{control{,.in},php-module.control.in} to refer
to Ubuntu.
+ d/control re-generated by `./debian/rules debian/control`
2018-01-25 - Ondřej Surý <ondrej@debian.org>
php-defaults (60) unstable; urgency=medium
* Start the soft-transition to PHP 7.2 by adding 7.2 to a list of
supported versions and making PHP 7.2 the default Debian version
(Closes: #872998)
2018-01-22 - Ondřej Surý <ondrej@debian.org>
php-defaults (59) unstable; urgency=medium
* Regenerate d/control to really get rid of php-mcrypt
2018-01-14 - Ondřej Surý <ondrej@debian.org>
php-defaults (58) unstable; urgency=medium
* mcrypt extension has been removed in PHP 7.2, remove it from the module list
2018-01-04 - Ondřej Surý <ondrej@debian.org>
php-defaults (57) unstable; urgency=medium
* Update the Vcs-* to salsa.d.o
2017-11-12 - Ondřej Surý <ondrej@debian.org>
php-defaults (56) unstable; urgency=medium
* Actually update d/control to contain PHP 7.1 (Closes: #881416)
2017-09-05 - Ondřej Surý <ondrej@debian.org>
php-defaults (55) unstable; urgency=medium
* Remove PrivateNetwork=true because it's not compatible with 3.16.0
(Debian Jessie) kernel
2017-08-08 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php-defaults (54ubuntu1) artful; urgency=medium
* Merge with Debian unstable. Remaining changes:
- d/control, d/rules: bump to php7.1 as the default.
+ Update text of d/control to refer to Ubuntu and 7.1 as well.
+ d/control generated by `./debian/rules debian/control`
* Drop:
- d/control: bumped php-common versioned break on php-amqp
[previously undocumented, incorrect]
- d/control: bumped php-common versioned break on php7.0-common
[previously undocumented, incorrect]
2017-08-04 - Ondřej Surý <ondrej@debian.org>
php-defaults (54) unstable; urgency=medium
* Update Vcs-* fields to https://gitlab.com/deb.sury.org
* Soft transition for PHP modules - add PHP 7.1 to supported PHP versions
2017-07-06 - Ondřej Surý <ondrej@debian.org>
php-defaults (53) unstable; urgency=medium
* phpquery now has non-zero exit status if live-link is missing
(Courtesy of Vincent Deygas)

See Also

Package Description
php-cgi_7.2+60ubuntu1_all.deb server-side, HTML-embedded scripting language (CGI binary) (default)
php-cli_7.2+60ubuntu1_all.deb command-line interpreter for the PHP scripting language (default)
php-common_60ubuntu1_all.deb Common files for PHP packages
php-curl_7.2+60ubuntu1_all.deb CURL module for PHP [default]
php-dev_7.2+60ubuntu1_all.deb Files for PHP module development (default)
php-gd_7.2+60ubuntu1_all.deb GD module for PHP [default]
php-gmp_7.2+60ubuntu1_all.deb GMP module for PHP [default]
php-ldap_7.2+60ubuntu1_all.deb LDAP module for PHP [default]
php-mysql_7.2+60ubuntu1_all.deb MySQL module for PHP [default]
php-odbc_7.2+60ubuntu1_all.deb ODBC module for PHP [default]
php-pear_1.10.5+submodules+notgz-1ubuntu1_all.deb PEAR Base System
php-pgsql_7.2+60ubuntu1_all.deb PostgreSQL module for PHP [default]
php-pspell_7.2+60ubuntu1_all.deb pspell module for PHP [default]
php-recode_7.2+60ubuntu1_all.deb recode module for PHP [default]
php-snmp_7.2+60ubuntu1_all.deb SNMP module for PHP [default]
Advertisement
Advertisement